# legalmd

An extension of Markdown to notate Australian-style legal markup, using the Python [mistletoe](https://github.com/miyuchina/mistletoe) Markdown parser.

legalmd can process Markdown files into LaTeX source code, and RTF. The output style is based on, but separate from, the [latex-legal](https://gitlab.com/RunasSudo/latex-legal) style.

## Examples

See example.md for example markup.

To generate LaTeX output, run:

```
python -m legalmd example.md > example.tex
```

The LaTeX output file can then be compiled as usual into a PDF document. Note that the generated code utilises *fontspec* for font support, so LuaLaTeX or XeLaTeX will be required.

To generate RTF output, run:

```
python -m legalmd --format rtf example.md > example.rtf
```

The RTF output file can then be directly viewed in a compatible RTF editor.
